Bug 5843 - PHP fatal error on Supplementary file upload
PHP fatal error on Supplementary file upload
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: General
2.3.4
PC Mac OS X 10.6
: P5 major
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-30 15:14 PDT by James MacGregor
Modified: 2011-07-21 12:00 PDT (History)
1 user (show)

See Also:
Version Reported In: 2.3.3
Also Affects:


Attachments
Patch against OJS pre-2.3.3 (2.53 KB, patch)
2010-08-30 17:42 PDT, Alec Smecher
Details | Diff
Patch against OCS 2.3.3-1 (1.40 KB, patch)
2011-07-21 09:47 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2010-08-30 15:14:23 PDT
I'm getting a blank page  and the following errors on trying to upload a supplementary file. The file does not upload.  

[Mon Aug 30 15:10:29 2010] [error] [client 127.0.0.1] ojs2 has produced an error\n  Message: WARNING: Missing argument 1 for SubmitHandler::submitUploadSuppFile(), called in /Users/jmacgreg/git/ojs/pages/author/SubmitHandler.inc.php on line 148 and defined\n  In file: /Users/jmacgreg/git/ojs/pages/author/SubmitHandler.inc.php\n  At line: 205\n  Stacktrace: \n  Server info:\n   OS: Darwin\n   PHP Version: 5.3.1\n   Apache Version: Apache/2.2.14 (Unix) mod_ssl/2.2.14 OpenSSL/0.9.8l DAV/2 PHP/5.3.1 mod_fastcgi/2.4.2\n   DB Driver: mysql\n   DB server version: 5.1.38, referer: http://git/ojs/index.php/demo/author/submit/4?articleId=17
[Mon Aug 30 15:10:29 2010] [error] [client 127.0.0.1] ojs2 has produced an error\n  Message: WARNING: Missing argument 2 for SubmitHandler::submitUploadSuppFile(), called in /Users/jmacgreg/git/ojs/pages/author/SubmitHandler.inc.php on line 148 and defined\n  In file: /Users/jmacgreg/git/ojs/pages/author/SubmitHandler.inc.php\n  At line: 205\n  Stacktrace: \n  Server info:\n   OS: Darwin\n   PHP Version: 5.3.1\n   Apache Version: Apache/2.2.14 (Unix) mod_ssl/2.2.14 OpenSSL/0.9.8l DAV/2 PHP/5.3.1 mod_fastcgi/2.4.2\n   DB Driver: mysql\n   DB server version: 5.1.38, referer: http://git/ojs/index.php/demo/author/submit/4?articleId=17
[Mon Aug 30 15:10:29 2010] [error] [client 127.0.0.1] NOTICE: Undefined variable: request (/Users/jmacgreg/git/ojs/pages/author/SubmitHandler.inc.php:206), referer: http://git/ojs/index.php/demo/author/submit/4?articleId=17
[Mon Aug 30 15:10:29 2010] [error] [client 127.0.0.1] PHP Fatal error:  Call to a member function getUserVar() on a non-object in /Users/jmacgreg/git/ojs/pages/author/SubmitHandler.inc.php on line 206, referer: http://git/ojs/index.php/demo/author/submit/4?articleId=17
Comment 1 Alec Smecher 2010-08-30 17:42:17 PDT
Created attachment 3209 [details]
Patch against OJS pre-2.3.3
Comment 2 Alec Smecher 2010-08-30 17:47:51 PDT
Also fixed for OCS: http://github.com/pkp/ocs/commit/0dd32d390726b091b88974debd53496a95b86616
Comment 3 James MacGregor 2010-08-31 12:00:59 PDT
Hi Alec, this still seems to be borked in OCS. I'm getting the following errors now when trying to upload a supplementary file (after recently pulling and running the upgrade script): 

[Tue Aug 31 11:56:50 2010] [error] [client 127.0.0.1] NOTICE: Undefined variable: request (/Users/jmacgreg/git/ocs/pages/author/SubmitHandler.inc.php:166), referer: http://git/ocs/index.php/one/schedone/author/submit/4?paperId=8

[Tue Aug 31 11:56:50 2010] [error] [client 127.0.0.1] PHP Fatal error:  Call to a member function getUserVar() on a non-object in /Users/jmacgreg/git/ocs/pages/author/SubmitHandler.inc.php on line 234, referer: http://git/ocs/index.php/one/schedone/author/submit/4?paperId=8
Comment 4 Alec Smecher 2010-08-31 12:23:10 PDT
Gah, this is what happens when you back-port things out of sequence. Try again?
Comment 5 James MacGregor 2010-08-31 12:32:59 PDT
Fixed, thanks!
Comment 6 Alec Smecher 2011-07-21 09:47:15 PDT
Created attachment 3601 [details]
Patch against OCS 2.3.3-1
Comment 7 Alec Smecher 2011-07-21 12:00:02 PDT
Supplementary files upload problem
https://github.com/pkp/ocs/commit/6f93087d7ad8ee93d0f137877b0df1515cf89396